//--------------------------------------

$AutoUse[GrenadeLauncher] = True;
$SellAmmo[GrenadeAmmo] = 75;
$AmmoPackMax[GrenadeAmmo] = 75;
$AmmoPackItems[3] = GrenadeAmmo;
$WeaponAmmo[GrenadeLauncher] = GrenadeAmmo;

//--------------------------------------

$InvList[GrenadeLauncher] = 1;
$InvList[GrenadeAmmo] = 1;
$RemoteInvList[GrenadeLauncher] = 1;
$RemoteInvList[GrenadeAmmo] = 1;

//--------------------------------------

GrenadeData GrenadeShell1
{
   bulletShapeName    = "mflame.dts";
   explosionTag       = grenade2Exp;
   collideWithOwner   = True;
   ownerGraceMS       = 250;
   collisionRadius    = 0.2;
   mass               = 1.0;
   elasticity         = 0.65;

   damageClass        = 1;       // 0 impact, 1, radius
   damageValue        = 0.4;
   damageType         = $ShrapnelDamageType;

   explosionRadius    = 15;
   kickBackStrength   = 150.0;
   maxLevelFlightDist = 150;
   totalTime          = 10.0;    // special meaning for grenades...
   liveTime           = 1.0;
   projSpecialTime    = 0.05;

   inheritedVelocityScale = 0.5;

   smokeName              = "fusionbolt.dts";
};

GrenadeData GrenadeShell2
{
   bulletShapeName    = "enex.dts";
   explosionTag       = GrenadeShell2Exp;
   collideWithOwner   = True;
   ownerGraceMS       = 250;
   collisionRadius    = 0.2;
   mass               = 1.0;
   elasticity         = 0.65;

   damageClass        = 1;       // 0 impact, 1, radius
   damageValue        = 0.4;
   damageType         = $ShrapnelDamageType;

   explosionRadius    = 15;
   kickBackStrength   = 150.0;
   maxLevelFlightDist = 150;
   totalTime          = 10.0;    // special meaning for grenades...
   liveTime           = 1.0;
   projSpecialTime    = 0.05;

   inheritedVelocityScale = 0.5;

   smokeName              = "mflame.dts";
};

$BulletToWeapon[GrenadeShell1] = GrenadeLauncher;
$BulletToWeapon[GrenadeShell2] = GrenadeLauncher;


//--------------------------------------

ItemData GrenadeAmmo
{
	description = "Grenade Ammo";
	className = "Ammo";
	shapeFile = "grenammo";
   heading = "xAmmunition";
	shadowDetailMask = 4;
	price = 2;
};

ItemImageData GrenadeLauncherImage
{
	shapeFile = "grenadeL";
	mountPoint = 0;
	mountOffset = { 0, 0, 0}; //-  left-right, back-front, up-down
	mountRotation = { 0, 1.57, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 0; // Single Shot
	ammoType = GrenadeAmmo;
//	projectileType = GrenadeShell;
	accuFire = false;
	reloadTime = 0.5;
	fireTime = 0.5;

	lightType = 3;  // Weapon Fire
	lightRadius = 3;
	lightTime = 1;
	lightColor = { 0.6, 1, 1.0 };

	sfxFire = SoundFireGrenade;
	sfxActivate = SoundPickUpWeapon;
	sfxReload = SoundDryFire;
};

ItemData GrenadeLauncher
{
	description = "Grenade Launcher";
	className = "Weapon";
	shapeFile = "grenadeL";
	hudIcon = "grenade";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = GrenadeLauncherImage;
	price = 150;
	showWeaponBar = true;
   validateShape = true;
};

//--------------------------------------
ItemImageData GrenadeLauncher2Image
{
	shapeFile = "grenade";
	mountPoint = 0; 
	mountOffset = { -0.15, 0, -0.1}; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData GrenadeLauncher2
{
	description = "GrenadeLauncher2";
	className = "weapon";
	shapeFile = "grenade";
	shadowDetailMask = 4;
	imageType = GrenadeLauncher2Image;
	showWeaponBar = false;
};

ItemImageData GrenadeLauncher1Image
{
	shapeFile = "grenade";
	mountPoint = 0; 
	mountOffset = { -0.15, 0.1, -0.1}; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData GrenadeLauncher1
{
	description = "GrenadeLauncher1";
	className = "weapon";
	shapeFile = "grenade";
	shadowDetailMask = 4;
	imageType = GrenadeLauncher1Image;
	showWeaponBar = false;
};


function GrenadeLauncher::onMount(%player,%item)
{
	Player::mountItem(%player, GrenadeLauncher1, 5);
	Player::mountItem(%player, GrenadeLauncher2, 6);
}

function GrenadeLauncher::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}
function GrenadeLauncherImage::onFire(%player, %slot) 
{		
	if($debug)echo("?? EVENT fire "@Player::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));	
	%client = GameBase::getOwnerClient(%player); 
	Player::decItemCount(%player,Grenadeammo,1); 
	%trans = GameBase::getMuzzleTransform(%player); 
	%vel = Item::getVelocity(%player); 
	Projectile::spawnProjectile("GrenadeShell1",%trans,%player,%vel,%player);
	Projectile::spawnProjectile("GrenadeShell2",%trans,%player,%vel,%player);
		
}
function GrenadeLauncher::onUse(%player,%item)
{
	ifPlayer::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));
		Weapon::onUse(%player,%item);
	else if(IsIce(Player::getClient(%player)))
		Weapon::onUse(%player,%item);
}